import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PayableOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent, PromiseOrValue } from "../../../common";
export interface SCYVaultInterface extends utils.Interface {
    functions: {
        "__SCYBase_init_(string,string,address)": FunctionFragment;
        "accruedRewards(address)": FunctionFragment;
        "allowance(address,address)": FunctionFragment;
        "approve(address,uint256)": FunctionFragment;
        "assetInfo()": FunctionFragment;
        "balanceOf(address)": FunctionFragment;
        "claimFees(uint256)": FunctionFragment;
        "claimRewards(address)": FunctionFragment;
        "closePosition()": FunctionFragment;
        "decimals()": FunctionFragment;
        "decreaseAllowance(address,uint256)": FunctionFragment;
        "deposit(address,address,uint256,uint256)": FunctionFragment;
        "depositIntoStrategy(address,uint256)": FunctionFragment;
        "exchangeRateCurrent()": FunctionFragment;
        "exchangeRateStored()": FunctionFragment;
        "exchangeRateUnderlying()": FunctionFragment;
        "feePercent()": FunctionFragment;
        "getBaseTokens()": FunctionFragment;
        "getMaxTvl()": FunctionFragment;
        "getRewardTokens()": FunctionFragment;
        "harvest(address[])": FunctionFragment;
        "increaseAllowance(address,uint256)": FunctionFragment;
        "initialize(string,string,address)": FunctionFragment;
        "isGuardian(address)": FunctionFragment;
        "isManager(address)": FunctionFragment;
        "isPaused()": FunctionFragment;
        "isValidBaseToken(address)": FunctionFragment;
        "maxDust()": FunctionFragment;
        "name()": FunctionFragment;
        "owner()": FunctionFragment;
        "redeem(address,uint256,address,uint256)": FunctionFragment;
        "renounceOwnership()": FunctionFragment;
        "setFeePercent(uint256)": FunctionFragment;
        "setGuardian(address,bool)": FunctionFragment;
        "setManager(address,bool)": FunctionFragment;
        "setMaxDust(uint256)": FunctionFragment;
        "setMaxTvl(uint256)": FunctionFragment;
        "setStrategy(address)": FunctionFragment;
        "strategy()": FunctionFragment;
        "strategyBalance()": FunctionFragment;
        "symbol()": FunctionFragment;
        "totalSupply()": FunctionFragment;
        "transfer(address,uint256)": FunctionFragment;
        "transferFrom(address,address,uint256)": FunctionFragment;
        "transferOwnership(address)": FunctionFragment;
        "underlying()": FunctionFragment;
        "underlyingDecimals()": FunctionFragment;
        "withdrawFromStrategy(address,uint256)": FunctionFragment;
        "yieldToken()": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "__SCYBase_init_" | "accruedRewards" | "allowance" | "approve" | "assetInfo" | "balanceOf" | "claimFees" | "claimRewards" | "closePosition" | "decimals" | "decreaseAllowance" | "deposit" | "depositIntoStrategy" | "exchangeRateCurrent" | "exchangeRateStored" | "exchangeRateUnderlying" | "feePercent" | "getBaseTokens" | "getMaxTvl" | "getRewardTokens" | "harvest" | "increaseAllowance" | "initialize" | "isGuardian" | "isManager" | "isPaused" | "isValidBaseToken" | "maxDust" | "name" | "owner" | "redeem" | "renounceOwnership" | "setFeePercent" | "setGuardian" | "setManager" | "setMaxDust" | "setMaxTvl" | "setStrategy" | "strategy" | "strategyBalance" | "symbol" | "totalSupply" | "transfer" | "transferFrom" | "transferOwnership" | "underlying" | "underlyingDecimals" | "withdrawFromStrategy" | "yieldToken"): FunctionFragment;
    encodeFunctionData(functionFragment: "__SCYBase_init_", values: [
        PromiseOrValue<string>,
        PromiseOrValue<string>,
        PromiseOrValue<string>
    ]): string;
    encodeFunctionData(functionFragment: "accruedRewards", values: [PromiseOrValue<string>]): string;
    encodeFunctionData(functionFragment: "allowance", values: [PromiseOrValue<string>, PromiseOrValue<string>]): string;
    encodeFunctionData(functionFragment: "approve", values: [PromiseOrValue<string>, PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "assetInfo", values?: undefined): string;
    encodeFunctionData(functionFragment: "balanceOf", values: [PromiseOrValue<string>]): string;
    encodeFunctionData(functionFragment: "claimFees", values: [PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "claimRewards", values: [PromiseOrValue<string>]): string;
    encodeFunctionData(functionFragment: "closePosition", values?: undefined): string;
    encodeFunctionData(functionFragment: "decimals", values?: undefined): string;
    encodeFunctionData(functionFragment: "decreaseAllowance", values: [PromiseOrValue<string>, PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "deposit", values: [
        PromiseOrValue<string>,
        PromiseOrValue<string>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "depositIntoStrategy", values: [PromiseOrValue<string>, PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "exchangeRateCurrent", values?: undefined): string;
    encodeFunctionData(functionFragment: "exchangeRateStored", values?: undefined): string;
    encodeFunctionData(functionFragment: "exchangeRateUnderlying", values?: undefined): string;
    encodeFunctionData(functionFragment: "feePercent", values?: undefined): string;
    encodeFunctionData(functionFragment: "getBaseTokens", values?: undefined): string;
    encodeFunctionData(functionFragment: "getMaxTvl", values?: undefined): string;
    encodeFunctionData(functionFragment: "getRewardTokens", values?: undefined): string;
    encodeFunctionData(functionFragment: "harvest", values: [PromiseOrValue<string>[]]): string;
    encodeFunctionData(functionFragment: "increaseAllowance", values: [PromiseOrValue<string>, PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "initialize", values: [
        PromiseOrValue<string>,
        PromiseOrValue<string>,
        PromiseOrValue<string>
    ]): string;
    encodeFunctionData(functionFragment: "isGuardian", values: [PromiseOrValue<string>]): string;
    encodeFunctionData(functionFragment: "isManager", values: [PromiseOrValue<string>]): string;
    encodeFunctionData(functionFragment: "isPaused", values?: undefined): string;
    encodeFunctionData(functionFragment: "isValidBaseToken", values: [PromiseOrValue<string>]): string;
    encodeFunctionData(functionFragment: "maxDust", values?: undefined): string;
    encodeFunctionData(functionFragment: "name", values?: undefined): string;
    encodeFunctionData(functionFragment: "owner", values?: undefined): string;
    encodeFunctionData(functionFragment: "redeem", values: [
        PromiseOrValue<string>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<string>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "renounceOwnership", values?: undefined): string;
    encodeFunctionData(functionFragment: "setFeePercent", values: [PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "setGuardian", values: [PromiseOrValue<string>, PromiseOrValue<boolean>]): string;
    encodeFunctionData(functionFragment: "setManager", values: [PromiseOrValue<string>, PromiseOrValue<boolean>]): string;
    encodeFunctionData(functionFragment: "setMaxDust", values: [PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "setMaxTvl", values: [PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "setStrategy", values: [PromiseOrValue<string>]): string;
    encodeFunctionData(functionFragment: "strategy", values?: undefined): string;
    encodeFunctionData(functionFragment: "strategyBalance", values?: undefined): string;
    encodeFunctionData(functionFragment: "symbol", values?: undefined): string;
    encodeFunctionData(functionFragment: "totalSupply", values?: undefined): string;
    encodeFunctionData(functionFragment: "transfer", values: [PromiseOrValue<string>, PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "transferFrom", values: [
        PromiseOrValue<string>,
        PromiseOrValue<string>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "transferOwnership", values: [PromiseOrValue<string>]): string;
    encodeFunctionData(functionFragment: "underlying", values?: undefined): string;
    encodeFunctionData(functionFragment: "underlyingDecimals", values?: undefined): string;
    encodeFunctionData(functionFragment: "withdrawFromStrategy", values: [PromiseOrValue<string>, PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "yieldToken", values?: undefined): string;
    decodeFunctionResult(functionFragment: "__SCYBase_init_", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "accruedRewards", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "allowance", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "approve", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "assetInfo", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "balanceOf", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "claimFees", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "claimRewards", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "closePosition", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "decimals", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "decreaseAllowance", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "deposit", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "depositIntoStrategy", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "exchangeRateCurrent", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "exchangeRateStored", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "exchangeRateUnderlying", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "feePercent", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getBaseTokens", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getMaxTvl", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getRewardTokens", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "harvest", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "increaseAllowance", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "initialize", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isGuardian", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isManager", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isPaused", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "isValidBaseToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "maxDust", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "name", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "owner", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "redeem", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "renounceOwnership", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setFeePercent", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setGuardian", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setManager", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setMaxDust", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setMaxTvl", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setStrategy", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "strategy", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "strategyBalance", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "symbol", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "totalSupply", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "transfer", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "transferFrom", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "transferOwnership", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "underlying", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "underlyingDecimals", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawFromStrategy", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "yieldToken", data: BytesLike): Result;
    events: {
        "Approval(address,address,uint256)": EventFragment;
        "ClaimRewards(address,address[],uint256[])": EventFragment;
        "Deposit(address,address,address,uint256,uint256)": EventFragment;
        "ExchangeRateUpdated(uint256,uint256)": EventFragment;
        "FeePercentUpdated(address,uint256)": EventFragment;
        "FeesClaimed(address,uint256)": EventFragment;
        "GuardianUpdate(address,bool)": EventFragment;
        "ManagerUpdate(address,bool)": EventFragment;
        "MaxDustUpdated(uint256)": EventFragment;
        "MaxTvlUpdated(uint256)": EventFragment;
        "OwnershipTransferred(address,address)": EventFragment;
        "Redeem(address,address,address,uint256,uint256)": EventFragment;
        "StrategyUpdated(address)": EventFragment;
        "Transfer(address,address,uint256)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "Approval"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "ClaimRewards"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Deposit"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "ExchangeRateUpdated"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "FeePercentUpdated"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "FeesClaimed"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "GuardianUpdate"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "ManagerUpdate"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "MaxDustUpdated"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "MaxTvlUpdated"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "OwnershipTransferred"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Redeem"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "StrategyUpdated"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Transfer"): EventFragment;
}
export interface ApprovalEventObject {
    owner: string;
    spender: string;
    value: BigNumber;
}
export type ApprovalEvent = TypedEvent<[
    string,
    string,
    BigNumber
], ApprovalEventObject>;
export type ApprovalEventFilter = TypedEventFilter<ApprovalEvent>;
export interface ClaimRewardsEventObject {
    user: string;
    rewardTokens: string[];
    rewardAmounts: BigNumber[];
}
export type ClaimRewardsEvent = TypedEvent<[
    string,
    string[],
    BigNumber[]
], ClaimRewardsEventObject>;
export type ClaimRewardsEventFilter = TypedEventFilter<ClaimRewardsEvent>;
export interface DepositEventObject {
    caller: string;
    receiver: string;
    tokenIn: string;
    amountDeposited: BigNumber;
    amountScyOut: BigNumber;
}
export type DepositEvent = TypedEvent<[
    string,
    string,
    string,
    BigNumber,
    BigNumber
], DepositEventObject>;
export type DepositEventFilter = TypedEventFilter<DepositEvent>;
export interface ExchangeRateUpdatedEventObject {
    oldExchangeRate: BigNumber;
    newExchangeRate: BigNumber;
}
export type ExchangeRateUpdatedEvent = TypedEvent<[
    BigNumber,
    BigNumber
], ExchangeRateUpdatedEventObject>;
export type ExchangeRateUpdatedEventFilter = TypedEventFilter<ExchangeRateUpdatedEvent>;
export interface FeePercentUpdatedEventObject {
    user: string;
    newFeePercent: BigNumber;
}
export type FeePercentUpdatedEvent = TypedEvent<[
    string,
    BigNumber
], FeePercentUpdatedEventObject>;
export type FeePercentUpdatedEventFilter = TypedEventFilter<FeePercentUpdatedEvent>;
export interface FeesClaimedEventObject {
    user: string;
    amount: BigNumber;
}
export type FeesClaimedEvent = TypedEvent<[
    string,
    BigNumber
], FeesClaimedEventObject>;
export type FeesClaimedEventFilter = TypedEventFilter<FeesClaimedEvent>;
export interface GuardianUpdateEventObject {
    account: string;
    isGuardian: boolean;
}
export type GuardianUpdateEvent = TypedEvent<[
    string,
    boolean
], GuardianUpdateEventObject>;
export type GuardianUpdateEventFilter = TypedEventFilter<GuardianUpdateEvent>;
export interface ManagerUpdateEventObject {
    account: string;
    isManager: boolean;
}
export type ManagerUpdateEvent = TypedEvent<[
    string,
    boolean
], ManagerUpdateEventObject>;
export type ManagerUpdateEventFilter = TypedEventFilter<ManagerUpdateEvent>;
export interface MaxDustUpdatedEventObject {
    maxDust: BigNumber;
}
export type MaxDustUpdatedEvent = TypedEvent<[
    BigNumber
], MaxDustUpdatedEventObject>;
export type MaxDustUpdatedEventFilter = TypedEventFilter<MaxDustUpdatedEvent>;
export interface MaxTvlUpdatedEventObject {
    maxTvl: BigNumber;
}
export type MaxTvlUpdatedEvent = TypedEvent<[
    BigNumber
], MaxTvlUpdatedEventObject>;
export type MaxTvlUpdatedEventFilter = TypedEventFilter<MaxTvlUpdatedEvent>;
export interface OwnershipTransferredEventObject {
    previousOwner: string;
    newOwner: string;
}
export type OwnershipTransferredEvent = TypedEvent<[
    string,
    string
], OwnershipTransferredEventObject>;
export type OwnershipTransferredEventFilter = TypedEventFilter<OwnershipTransferredEvent>;
export interface RedeemEventObject {
    caller: string;
    receiver: string;
    tokenOut: string;
    amountScyToRedeem: BigNumber;
    amountTokenOut: BigNumber;
}
export type RedeemEvent = TypedEvent<[
    string,
    string,
    string,
    BigNumber,
    BigNumber
], RedeemEventObject>;
export type RedeemEventFilter = TypedEventFilter<RedeemEvent>;
export interface StrategyUpdatedEventObject {
    strategy: string;
}
export type StrategyUpdatedEvent = TypedEvent<[
    string
], StrategyUpdatedEventObject>;
export type StrategyUpdatedEventFilter = TypedEventFilter<StrategyUpdatedEvent>;
export interface TransferEventObject {
    from: string;
    to: string;
    value: BigNumber;
}
export type TransferEvent = TypedEvent<[
    string,
    string,
    BigNumber
], TransferEventObject>;
export type TransferEventFilter = TypedEventFilter<TransferEvent>;
export interface SCYVault extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: SCYVaultInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        __SCYBase_init_(_name: PromiseOrValue<string>, _symbol: PromiseOrValue<string>, _yieldToken: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        accruedRewards(arg0: PromiseOrValue<string>, overrides?: CallOverrides): Promise<[BigNumber[]] & {
            rewardAmounts: BigNumber[];
        }>;
        allowance(owner: PromiseOrValue<string>, spender: PromiseOrValue<string>, overrides?: CallOverrides): Promise<[BigNumber]>;
        approve(spender: PromiseOrValue<string>, amount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        assetInfo(overrides?: CallOverrides): Promise<[
            number,
            string,
            number
        ] & {
            assetType: number;
            assetAddress: string;
            assetDecimals: number;
        }>;
        balanceOf(account: PromiseOrValue<string>, overrides?: CallOverrides): Promise<[BigNumber]>;
        claimFees(amount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        claimRewards(arg0: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        closePosition(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        decimals(overrides?: CallOverrides): Promise<[number]>;
        decreaseAllowance(spender: PromiseOrValue<string>, subtractedValue: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        deposit(receiver: PromiseOrValue<string>, tokenIn: PromiseOrValue<string>, amountIn: PromiseOrValue<BigNumberish>, minSharesOut: PromiseOrValue<BigNumberish>, overrides?: PayableOverrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        depositIntoStrategy(arg0: PromiseOrValue<string>, underlyingAmount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        exchangeRateCurrent(overrides?: CallOverrides): Promise<[BigNumber]>;
        exchangeRateStored(overrides?: CallOverrides): Promise<[BigNumber]>;
        exchangeRateUnderlying(overrides?: CallOverrides): Promise<[BigNumber]>;
        feePercent(overrides?: CallOverrides): Promise<[BigNumber]>;
        getBaseTokens(overrides?: CallOverrides): Promise<[string[]] & {
            res: string[];
        }>;
        getMaxTvl(overrides?: CallOverrides): Promise<[BigNumber] & {
            maxTvl: BigNumber;
        }>;
        getRewardTokens(overrides?: CallOverrides): Promise<[string[]] & {
            rewardTokens: string[];
        }>;
        harvest(arg0: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        increaseAllowance(spender: PromiseOrValue<string>, addedValue: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        initialize(_name: PromiseOrValue<string>, _symbol: PromiseOrValue<string>, _yieldToken: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        isGuardian(user: PromiseOrValue<string>, overrides?: CallOverrides): Promise<[boolean]>;
        isManager(user: PromiseOrValue<string>, overrides?: CallOverrides): Promise<[boolean]>;
        isPaused(overrides?: CallOverrides): Promise<[boolean]>;
        isValidBaseToken(token: PromiseOrValue<string>, overrides?: CallOverrides): Promise<[boolean]>;
        maxDust(overrides?: CallOverrides): Promise<[BigNumber]>;
        name(overrides?: CallOverrides): Promise<[string]>;
        owner(overrides?: CallOverrides): Promise<[string]>;
        redeem(receiver: PromiseOrValue<string>, amountSharesToRedeem: PromiseOrValue<BigNumberish>, tokenOut: PromiseOrValue<string>, minTokenOut: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        renounceOwnership(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setFeePercent(newFeePercent: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setGuardian(user: PromiseOrValue<string>, _isGuardian: PromiseOrValue<boolean>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setManager(user: PromiseOrValue<string>, _isManager: PromiseOrValue<boolean>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setMaxDust(maxDust_: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setMaxTvl(maxTvl_: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setStrategy(strategy_: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        strategy(overrides?: CallOverrides): Promise<[string]>;
        strategyBalance(overrides?: CallOverrides): Promise<[BigNumber]>;
        symbol(overrides?: CallOverrides): Promise<[string]>;
        totalSupply(overrides?: CallOverrides): Promise<[BigNumber]>;
        transfer(recipient: PromiseOrValue<string>, amount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        transferFrom(sender: PromiseOrValue<string>, recipient: PromiseOrValue<string>, amount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        transferOwnership(newOwner: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        underlying(overrides?: CallOverrides): Promise<[string]>;
        underlyingDecimals(overrides?: CallOverrides): Promise<[number]>;
        withdrawFromStrategy(arg0: PromiseOrValue<string>, shares: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        yieldToken(overrides?: CallOverrides): Promise<[string]>;
    };
    __SCYBase_init_(_name: PromiseOrValue<string>, _symbol: PromiseOrValue<string>, _yieldToken: PromiseOrValue<string>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    accruedRewards(arg0: PromiseOrValue<string>, overrides?: CallOverrides): Promise<BigNumber[]>;
    allowance(owner: PromiseOrValue<string>, spender: PromiseOrValue<string>, overrides?: CallOverrides): Promise<BigNumber>;
    approve(spender: PromiseOrValue<string>, amount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    assetInfo(overrides?: CallOverrides): Promise<[
        number,
        string,
        number
    ] & {
        assetType: number;
        assetAddress: string;
        assetDecimals: number;
    }>;
    balanceOf(account: PromiseOrValue<string>, overrides?: CallOverrides): Promise<BigNumber>;
    claimFees(amount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    claimRewards(arg0: PromiseOrValue<string>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    closePosition(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    decimals(overrides?: CallOverrides): Promise<number>;
    decreaseAllowance(spender: PromiseOrValue<string>, subtractedValue: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    deposit(receiver: PromiseOrValue<string>, tokenIn: PromiseOrValue<string>, amountIn: PromiseOrValue<BigNumberish>, minSharesOut: PromiseOrValue<BigNumberish>, overrides?: PayableOverrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    depositIntoStrategy(arg0: PromiseOrValue<string>, underlyingAmount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    exchangeRateCurrent(overrides?: CallOverrides): Promise<BigNumber>;
    exchangeRateStored(overrides?: CallOverrides): Promise<BigNumber>;
    exchangeRateUnderlying(overrides?: CallOverrides): Promise<BigNumber>;
    feePercent(overrides?: CallOverrides): Promise<BigNumber>;
    getBaseTokens(overrides?: CallOverrides): Promise<string[]>;
    getMaxTvl(overrides?: CallOverrides): Promise<BigNumber>;
    getRewardTokens(overrides?: CallOverrides): Promise<string[]>;
    harvest(arg0: PromiseOrValue<string>[], overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    increaseAllowance(spender: PromiseOrValue<string>, addedValue: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    initialize(_name: PromiseOrValue<string>, _symbol: PromiseOrValue<string>, _yieldToken: PromiseOrValue<string>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    isGuardian(user: PromiseOrValue<string>, overrides?: CallOverrides): Promise<boolean>;
    isManager(user: PromiseOrValue<string>, overrides?: CallOverrides): Promise<boolean>;
    isPaused(overrides?: CallOverrides): Promise<boolean>;
    isValidBaseToken(token: PromiseOrValue<string>, overrides?: CallOverrides): Promise<boolean>;
    maxDust(overrides?: CallOverrides): Promise<BigNumber>;
    name(overrides?: CallOverrides): Promise<string>;
    owner(overrides?: CallOverrides): Promise<string>;
    redeem(receiver: PromiseOrValue<string>, amountSharesToRedeem: PromiseOrValue<BigNumberish>, tokenOut: PromiseOrValue<string>, minTokenOut: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    renounceOwnership(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setFeePercent(newFeePercent: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setGuardian(user: PromiseOrValue<string>, _isGuardian: PromiseOrValue<boolean>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setManager(user: PromiseOrValue<string>, _isManager: PromiseOrValue<boolean>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setMaxDust(maxDust_: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setMaxTvl(maxTvl_: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setStrategy(strategy_: PromiseOrValue<string>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    strategy(overrides?: CallOverrides): Promise<string>;
    strategyBalance(overrides?: CallOverrides): Promise<BigNumber>;
    symbol(overrides?: CallOverrides): Promise<string>;
    totalSupply(overrides?: CallOverrides): Promise<BigNumber>;
    transfer(recipient: PromiseOrValue<string>, amount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    transferFrom(sender: PromiseOrValue<string>, recipient: PromiseOrValue<string>, amount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    transferOwnership(newOwner: PromiseOrValue<string>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    underlying(overrides?: CallOverrides): Promise<string>;
    underlyingDecimals(overrides?: CallOverrides): Promise<number>;
    withdrawFromStrategy(arg0: PromiseOrValue<string>, shares: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    yieldToken(overrides?: CallOverrides): Promise<string>;
    callStatic: {
        __SCYBase_init_(_name: PromiseOrValue<string>, _symbol: PromiseOrValue<string>, _yieldToken: PromiseOrValue<string>, overrides?: CallOverrides): Promise<void>;
        accruedRewards(arg0: PromiseOrValue<string>, overrides?: CallOverrides): Promise<BigNumber[]>;
        allowance(owner: PromiseOrValue<string>, spender: PromiseOrValue<string>, overrides?: CallOverrides): Promise<BigNumber>;
        approve(spender: PromiseOrValue<string>, amount: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<boolean>;
        assetInfo(overrides?: CallOverrides): Promise<[
            number,
            string,
            number
        ] & {
            assetType: number;
            assetAddress: string;
            assetDecimals: number;
        }>;
        balanceOf(account: PromiseOrValue<string>, overrides?: CallOverrides): Promise<BigNumber>;
        claimFees(amount: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        claimRewards(arg0: PromiseOrValue<string>, overrides?: CallOverrides): Promise<BigNumber[]>;
        closePosition(overrides?: CallOverrides): Promise<void>;
        decimals(overrides?: CallOverrides): Promise<number>;
        decreaseAllowance(spender: PromiseOrValue<string>, subtractedValue: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<boolean>;
        deposit(receiver: PromiseOrValue<string>, tokenIn: PromiseOrValue<string>, amountIn: PromiseOrValue<BigNumberish>, minSharesOut: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<BigNumber>;
        depositIntoStrategy(arg0: PromiseOrValue<string>, underlyingAmount: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        exchangeRateCurrent(overrides?: CallOverrides): Promise<BigNumber>;
        exchangeRateStored(overrides?: CallOverrides): Promise<BigNumber>;
        exchangeRateUnderlying(overrides?: CallOverrides): Promise<BigNumber>;
        feePercent(overrides?: CallOverrides): Promise<BigNumber>;
        getBaseTokens(overrides?: CallOverrides): Promise<string[]>;
        getMaxTvl(overrides?: CallOverrides): Promise<BigNumber>;
        getRewardTokens(overrides?: CallOverrides): Promise<string[]>;
        harvest(arg0: PromiseOrValue<string>[], overrides?: CallOverrides): Promise<void>;
        increaseAllowance(spender: PromiseOrValue<string>, addedValue: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<boolean>;
        initialize(_name: PromiseOrValue<string>, _symbol: PromiseOrValue<string>, _yieldToken: PromiseOrValue<string>, overrides?: CallOverrides): Promise<void>;
        isGuardian(user: PromiseOrValue<string>, overrides?: CallOverrides): Promise<boolean>;
        isManager(user: PromiseOrValue<string>, overrides?: CallOverrides): Promise<boolean>;
        isPaused(overrides?: CallOverrides): Promise<boolean>;
        isValidBaseToken(token: PromiseOrValue<string>, overrides?: CallOverrides): Promise<boolean>;
        maxDust(overrides?: CallOverrides): Promise<BigNumber>;
        name(overrides?: CallOverrides): Promise<string>;
        owner(overrides?: CallOverrides): Promise<string>;
        redeem(receiver: PromiseOrValue<string>, amountSharesToRedeem: PromiseOrValue<BigNumberish>, tokenOut: PromiseOrValue<string>, minTokenOut: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<BigNumber>;
        renounceOwnership(overrides?: CallOverrides): Promise<void>;
        setFeePercent(newFeePercent: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        setGuardian(user: PromiseOrValue<string>, _isGuardian: PromiseOrValue<boolean>, overrides?: CallOverrides): Promise<void>;
        setManager(user: PromiseOrValue<string>, _isManager: PromiseOrValue<boolean>, overrides?: CallOverrides): Promise<void>;
        setMaxDust(maxDust_: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        setMaxTvl(maxTvl_: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        setStrategy(strategy_: PromiseOrValue<string>, overrides?: CallOverrides): Promise<void>;
        strategy(overrides?: CallOverrides): Promise<string>;
        strategyBalance(overrides?: CallOverrides): Promise<BigNumber>;
        symbol(overrides?: CallOverrides): Promise<string>;
        totalSupply(overrides?: CallOverrides): Promise<BigNumber>;
        transfer(recipient: PromiseOrValue<string>, amount: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<boolean>;
        transferFrom(sender: PromiseOrValue<string>, recipient: PromiseOrValue<string>, amount: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<boolean>;
        transferOwnership(newOwner: PromiseOrValue<string>, overrides?: CallOverrides): Promise<void>;
        underlying(overrides?: CallOverrides): Promise<string>;
        underlyingDecimals(overrides?: CallOverrides): Promise<number>;
        withdrawFromStrategy(arg0: PromiseOrValue<string>, shares: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        yieldToken(overrides?: CallOverrides): Promise<string>;
    };
    filters: {
        "Approval(address,address,uint256)"(owner?: PromiseOrValue<string> | null, spender?: PromiseOrValue<string> | null, value?: null): ApprovalEventFilter;
        Approval(owner?: PromiseOrValue<string> | null, spender?: PromiseOrValue<string> | null, value?: null): ApprovalEventFilter;
        "ClaimRewards(address,address[],uint256[])"(user?: PromiseOrValue<string> | null, rewardTokens?: null, rewardAmounts?: null): ClaimRewardsEventFilter;
        ClaimRewards(user?: PromiseOrValue<string> | null, rewardTokens?: null, rewardAmounts?: null): ClaimRewardsEventFilter;
        "Deposit(address,address,address,uint256,uint256)"(caller?: PromiseOrValue<string> | null, receiver?: PromiseOrValue<string> | null, tokenIn?: PromiseOrValue<string> | null, amountDeposited?: null, amountScyOut?: null): DepositEventFilter;
        Deposit(caller?: PromiseOrValue<string> | null, receiver?: PromiseOrValue<string> | null, tokenIn?: PromiseOrValue<string> | null, amountDeposited?: null, amountScyOut?: null): DepositEventFilter;
        "ExchangeRateUpdated(uint256,uint256)"(oldExchangeRate?: null, newExchangeRate?: null): ExchangeRateUpdatedEventFilter;
        ExchangeRateUpdated(oldExchangeRate?: null, newExchangeRate?: null): ExchangeRateUpdatedEventFilter;
        "FeePercentUpdated(address,uint256)"(user?: PromiseOrValue<string> | null, newFeePercent?: null): FeePercentUpdatedEventFilter;
        FeePercentUpdated(user?: PromiseOrValue<string> | null, newFeePercent?: null): FeePercentUpdatedEventFilter;
        "FeesClaimed(address,uint256)"(user?: PromiseOrValue<string> | null, amount?: null): FeesClaimedEventFilter;
        FeesClaimed(user?: PromiseOrValue<string> | null, amount?: null): FeesClaimedEventFilter;
        "GuardianUpdate(address,bool)"(account?: PromiseOrValue<string> | null, isGuardian?: null): GuardianUpdateEventFilter;
        GuardianUpdate(account?: PromiseOrValue<string> | null, isGuardian?: null): GuardianUpdateEventFilter;
        "ManagerUpdate(address,bool)"(account?: PromiseOrValue<string> | null, isManager?: null): ManagerUpdateEventFilter;
        ManagerUpdate(account?: PromiseOrValue<string> | null, isManager?: null): ManagerUpdateEventFilter;
        "MaxDustUpdated(uint256)"(maxDust?: null): MaxDustUpdatedEventFilter;
        MaxDustUpdated(maxDust?: null): MaxDustUpdatedEventFilter;
        "MaxTvlUpdated(uint256)"(maxTvl?: null): MaxTvlUpdatedEventFilter;
        MaxTvlUpdated(maxTvl?: null): MaxTvlUpdatedEventFilter;
        "OwnershipTransferred(address,address)"(previousOwner?: PromiseOrValue<string> | null, newOwner?: PromiseOrValue<string> | null): OwnershipTransferredEventFilter;
        OwnershipTransferred(previousOwner?: PromiseOrValue<string> | null, newOwner?: PromiseOrValue<string> | null): OwnershipTransferredEventFilter;
        "Redeem(address,address,address,uint256,uint256)"(caller?: PromiseOrValue<string> | null, receiver?: PromiseOrValue<string> | null, tokenOut?: PromiseOrValue<string> | null, amountScyToRedeem?: null, amountTokenOut?: null): RedeemEventFilter;
        Redeem(caller?: PromiseOrValue<string> | null, receiver?: PromiseOrValue<string> | null, tokenOut?: PromiseOrValue<string> | null, amountScyToRedeem?: null, amountTokenOut?: null): RedeemEventFilter;
        "StrategyUpdated(address)"(strategy?: null): StrategyUpdatedEventFilter;
        StrategyUpdated(strategy?: null): StrategyUpdatedEventFilter;
        "Transfer(address,address,uint256)"(from?: PromiseOrValue<string> | null, to?: PromiseOrValue<string> | null, value?: null): TransferEventFilter;
        Transfer(from?: PromiseOrValue<string> | null, to?: PromiseOrValue<string> | null, value?: null): TransferEventFilter;
    };
    estimateGas: {
        __SCYBase_init_(_name: PromiseOrValue<string>, _symbol: PromiseOrValue<string>, _yieldToken: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        accruedRewards(arg0: PromiseOrValue<string>, overrides?: CallOverrides): Promise<BigNumber>;
        allowance(owner: PromiseOrValue<string>, spender: PromiseOrValue<string>, overrides?: CallOverrides): Promise<BigNumber>;
        approve(spender: PromiseOrValue<string>, amount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        assetInfo(overrides?: CallOverrides): Promise<BigNumber>;
        balanceOf(account: PromiseOrValue<string>, overrides?: CallOverrides): Promise<BigNumber>;
        claimFees(amount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        claimRewards(arg0: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        closePosition(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        decimals(overrides?: CallOverrides): Promise<BigNumber>;
        decreaseAllowance(spender: PromiseOrValue<string>, subtractedValue: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        deposit(receiver: PromiseOrValue<string>, tokenIn: PromiseOrValue<string>, amountIn: PromiseOrValue<BigNumberish>, minSharesOut: PromiseOrValue<BigNumberish>, overrides?: PayableOverrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        depositIntoStrategy(arg0: PromiseOrValue<string>, underlyingAmount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        exchangeRateCurrent(overrides?: CallOverrides): Promise<BigNumber>;
        exchangeRateStored(overrides?: CallOverrides): Promise<BigNumber>;
        exchangeRateUnderlying(overrides?: CallOverrides): Promise<BigNumber>;
        feePercent(overrides?: CallOverrides): Promise<BigNumber>;
        getBaseTokens(overrides?: CallOverrides): Promise<BigNumber>;
        getMaxTvl(overrides?: CallOverrides): Promise<BigNumber>;
        getRewardTokens(overrides?: CallOverrides): Promise<BigNumber>;
        harvest(arg0: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        increaseAllowance(spender: PromiseOrValue<string>, addedValue: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        initialize(_name: PromiseOrValue<string>, _symbol: PromiseOrValue<string>, _yieldToken: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        isGuardian(user: PromiseOrValue<string>, overrides?: CallOverrides): Promise<BigNumber>;
        isManager(user: PromiseOrValue<string>, overrides?: CallOverrides): Promise<BigNumber>;
        isPaused(overrides?: CallOverrides): Promise<BigNumber>;
        isValidBaseToken(token: PromiseOrValue<string>, overrides?: CallOverrides): Promise<BigNumber>;
        maxDust(overrides?: CallOverrides): Promise<BigNumber>;
        name(overrides?: CallOverrides): Promise<BigNumber>;
        owner(overrides?: CallOverrides): Promise<BigNumber>;
        redeem(receiver: PromiseOrValue<string>, amountSharesToRedeem: PromiseOrValue<BigNumberish>, tokenOut: PromiseOrValue<string>, minTokenOut: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        renounceOwnership(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setFeePercent(newFeePercent: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setGuardian(user: PromiseOrValue<string>, _isGuardian: PromiseOrValue<boolean>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setManager(user: PromiseOrValue<string>, _isManager: PromiseOrValue<boolean>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setMaxDust(maxDust_: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setMaxTvl(maxTvl_: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setStrategy(strategy_: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        strategy(overrides?: CallOverrides): Promise<BigNumber>;
        strategyBalance(overrides?: CallOverrides): Promise<BigNumber>;
        symbol(overrides?: CallOverrides): Promise<BigNumber>;
        totalSupply(overrides?: CallOverrides): Promise<BigNumber>;
        transfer(recipient: PromiseOrValue<string>, amount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        transferFrom(sender: PromiseOrValue<string>, recipient: PromiseOrValue<string>, amount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        transferOwnership(newOwner: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        underlying(overrides?: CallOverrides): Promise<BigNumber>;
        underlyingDecimals(overrides?: CallOverrides): Promise<BigNumber>;
        withdrawFromStrategy(arg0: PromiseOrValue<string>, shares: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        yieldToken(overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        __SCYBase_init_(_name: PromiseOrValue<string>, _symbol: PromiseOrValue<string>, _yieldToken: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        accruedRewards(arg0: PromiseOrValue<string>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        allowance(owner: PromiseOrValue<string>, spender: PromiseOrValue<string>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        approve(spender: PromiseOrValue<string>, amount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        assetInfo(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        balanceOf(account: PromiseOrValue<string>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        claimFees(amount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        claimRewards(arg0: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        closePosition(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        decimals(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        decreaseAllowance(spender: PromiseOrValue<string>, subtractedValue: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        deposit(receiver: PromiseOrValue<string>, tokenIn: PromiseOrValue<string>, amountIn: PromiseOrValue<BigNumberish>, minSharesOut: PromiseOrValue<BigNumberish>, overrides?: PayableOverrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        depositIntoStrategy(arg0: PromiseOrValue<string>, underlyingAmount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        exchangeRateCurrent(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        exchangeRateStored(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        exchangeRateUnderlying(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        feePercent(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getBaseTokens(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getMaxTvl(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getRewardTokens(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        harvest(arg0: PromiseOrValue<string>[], overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        increaseAllowance(spender: PromiseOrValue<string>, addedValue: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        initialize(_name: PromiseOrValue<string>, _symbol: PromiseOrValue<string>, _yieldToken: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        isGuardian(user: PromiseOrValue<string>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isManager(user: PromiseOrValue<string>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isPaused(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        isValidBaseToken(token: PromiseOrValue<string>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        maxDust(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        name(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        owner(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        redeem(receiver: PromiseOrValue<string>, amountSharesToRedeem: PromiseOrValue<BigNumberish>, tokenOut: PromiseOrValue<string>, minTokenOut: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        renounceOwnership(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setFeePercent(newFeePercent: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setGuardian(user: PromiseOrValue<string>, _isGuardian: PromiseOrValue<boolean>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setManager(user: PromiseOrValue<string>, _isManager: PromiseOrValue<boolean>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setMaxDust(maxDust_: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setMaxTvl(maxTvl_: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setStrategy(strategy_: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        strategy(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        strategyBalance(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        symbol(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        totalSupply(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        transfer(recipient: PromiseOrValue<string>, amount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        transferFrom(sender: PromiseOrValue<string>, recipient: PromiseOrValue<string>, amount: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        transferOwnership(newOwner: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        underlying(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        underlyingDecimals(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        withdrawFromStrategy(arg0: PromiseOrValue<string>, shares: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        yieldToken(overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
